Bug 215032 - lang/erlang: enable dtrace by default where possible
Summary: lang/erlang: enable dtrace by default where possible
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-04 00:05 UTC by Steve Wills
Modified: 2017-04-25 13:34 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (olgeni)


Attachments
erlang dtrace patch (847 bytes, patch)
2016-12-04 00:05 UTC, Steve Wills
no flags Details | Diff
erlang patch (2.47 KB, patch)
2016-12-24 09:56 UTC, Antoine Brodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2016-12-04 00:05:35 UTC
Created attachment 177644 [details]
erlang dtrace patch

See attached patch to enable DTRACE option in erlang by default where possible.
Comment 1 Jimmy Olgeni freebsd_committer 2016-12-21 14:33:03 UTC
(In reply to Steve Wills from comment #0)

Merging into the 19.2 upgrade...
Comment 2 Jimmy Olgeni freebsd_committer 2016-12-22 13:07:13 UTC
Quick question - are you able to see the dtrace probes after building an Erlang package in a jail? I can build and see "[dtrace]" in the startup banner, but I see no probes (even if a kernel is installed)
Comment 3 Jimmy Olgeni freebsd_committer 2016-12-22 13:23:39 UTC
(In reply to Jimmy Olgeni from comment #2)

Never mind - seems to work when running outside the jail.
Comment 4 commit-hook freebsd_committer 2016-12-23 14:01:43 UTC
A commit references this bug:

Author: olgeni
Date: Fri Dec 23 14:01:12 UTC 2016
New revision: 429262
URL: https://svnweb.freebsd.org/changeset/ports/429262

Log:
  Update Erlang 19 ports to 19.2.

  - Copy BROKEN_* settings from lang/erlang to lang/erlang-runtime19
  - Enable DTRACE by default where possible (PR 215032)

  PR:		215032
  Submitted by:	swills

Changes:
  head/lang/erlang/Makefile
  head/lang/erlang/distinfo
  head/lang/erlang-java/Makefile
  head/lang/erlang-java/distinfo
  head/lang/erlang-runtime19/Makefile
  head/lang/erlang-runtime19/distinfo
  head/lang/erlang-wx/Makefile
  head/lang/erlang-wx/distinfo
  head/lang/erlang-wx/pkg-plist
Comment 5 Jimmy Olgeni freebsd_committer 2016-12-23 14:22:16 UTC
Committed - thanks!
Comment 6 Antoine Brodin freebsd_committer 2016-12-24 06:05:11 UTC
This breaks erlang on the official package builders
Comment 7 commit-hook freebsd_committer 2016-12-24 07:40:16 UTC
A commit references this bug:

Author: olgeni
Date: Sat Dec 24 07:39:38 UTC 2016
New revision: 429310
URL: https://svnweb.freebsd.org/changeset/ports/429310

Log:
  Unbreak Erlang 19.2 on the package builder, which has no dtrace
  support loaded (revert 215032).

  PR:		215032

Changes:
  head/lang/erlang/Makefile
  head/lang/erlang-runtime19/Makefile
Comment 8 Antoine Brodin freebsd_committer 2016-12-24 09:56:09 UTC
Created attachment 178245 [details]
erlang patch

It seems that dtraceall in the kernel is not needed to build erlang with dtrace.
Comment 9 commit-hook freebsd_committer 2017-01-02 13:25:44 UTC
A commit references this bug:

Author: olgeni
Date: Mon Jan  2 13:24:46 UTC 2017
New revision: 430355
URL: https://svnweb.freebsd.org/changeset/ports/430355

Log:
  In Erlang 19 ports:

  - Enable DTRACE by default where possible.
  - Remove unnecessary check for dtraceall module.

  PR:		215032
  Submitted by:	antoine

Changes:
  head/lang/erlang/Makefile
  head/lang/erlang-runtime19/Makefile
Comment 10 Jimmy Olgeni freebsd_committer 2017-01-02 13:26:48 UTC
Looks ok with poudriere builds - dtrace shows up correctly when installing from packages.
Comment 11 Steve Wills freebsd_committer 2017-04-07 15:50:17 UTC
Anything left to do on this?
Comment 12 Jimmy Olgeni freebsd_committer 2017-04-25 13:34:37 UTC
(In reply to Steve Wills from comment #11)

Looks fine so far - I'm closing this.